/***************************************************************************
 *                                                                         *
 *   KCPULoad and KNetLoad are copyright (c) 1999-2000, Markus Gustavsson  *
 *                                       (c) 2002, Ben Burton              *
 *                                       (c) 2004, Diego Pettenò           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "stattray.h"

StatTray::StatTray(QWidget *parent, const char *name)
 : KSystemTray(parent, name)
{
	setFixedWidth(24); setFixedHeight(24);
	m_graph = new StatGraph(this);
}

StatTray::~StatTray()
{
	delete m_graph;
}

void StatTray::paintEvent(QPaintEvent*)
{
	m_graph->redraw();
}

#include "stattray.moc"
